# OpenLayers.Layer.Zoomify

#### Inherits from

- OpenLayers.Layer.Grid

Summary

OpenLayers.Layer.Zoomify |
Properties |
isBaseLayer | {Boolean}
Constructor |
OpenLayers.Layer.Zoomify |
Functions |
clone |
setMap | When the layer is added to a map, then we can fetch our origin (if we don’t have one.)

### Properties

### isBaseLayer

{Boolean}

### Constructor

### OpenLayers.Layer.Zoomify

#### Parameters

name | {String} A name for the layer.
url | {String} - Relative or absolute path to the image or more precisly to the TileGroup[X] directories root. Flash plugin use the variable name “zoomifyImagePath” for this.
size | {OpenLayers.Size} The size (in pixels) of the image.
options | {Object} Hashtable of extra options to tag onto the layer

### Functions

### clone

> clone: function ( | obj | )

#### Parameters

obj | {Object}

#### Returns

{OpenLayers.Layer.Zoomify} An exact clone of this OpenLayers.Layer.Zoomify

### setMap

> setMap: function( | map | )

When the layer is added to a map, then we can fetch our origin (if we don’t have one.)

#### Parameters

map | {OpenLayers.Map}

> clone: function ( | obj | )

> setMap: function( | map | )

When the layer is added to a map, then we can fetch our origin (if we don’t have one.)
Base class for layers that use a lattice of tiles.
Instances of this class represent a width/height pair
Instances of OpenLayers.Map are interactive maps embedded in a web page.
Close